Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1403198 (CVE-2016-9888) - CVE-2016-9888 libgsf: Null pointer dereference in tar_directory_for_file()
Summary: CVE-2016-9888 libgsf: Null pointer dereference in tar_directory_for_file()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9888
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1403199 1403200
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-09 12:09 UTC by Andrej Nemec
Modified: 2019-09-29 14:02 UTC (History)
2 users (show)

Fixed In Version: libgsf 1.14.41
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-13 04:30:38 UTC
Embargoed:


Attachments (Terms of Use)

Description Andrej Nemec 2016-12-09 12:09:05 UTC
An error within the "tar_directory_for_file()" function (gsf-infile-tar.c) in GNOME Structured File Library before 1.14.41 can be exploited to trigger a Null pointer dereference and subsequently cause a crash via a crafted TAR file.

Upstream patch:

https://github.com/GNOME/libgsf/commit/95a8351a75758cf10b3bf6abae0b6b461f90d9e5

References:

https://secunia.com/secunia_research/2016-17/

Comment 1 Andrej Nemec 2016-12-09 12:09:59 UTC
Created libgsf tracking bugs for this issue:

Affects: fedora-all [bug 1403199]

Comment 2 Andrej Nemec 2016-12-09 12:10:06 UTC
Created mingw-libgsf tracking bugs for this issue:

Affects: fedora-all [bug 1403200]

Comment 3 greg.hellings 2017-04-13 04:30:38 UTC
Closing, as all sub-bugs are resolved already.


Note You need to log in before you can comment on or make changes to this bug.